Subject: cygrunsrv -S mountd fails: Error starting a service: QueryServic eStatus: Win32 error 1062 ?
From: "Povolotsky, Alexander" <[email-masked]>
To: "[email-masked]'" <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>
Date: Thu, 26 Aug 2004 18:55:03 -0400

Hi David,

I am also getting the same error as you (an I also I have XP Pro) - did you
get any explanation for it ?

apovolot@USPITLAD104868 /cygdrive/c/cygwin/etc
$ cygrunsrv -S portmap

my entry in /etc/export is set to:
~/fadsroot 192.168.0.0/255.255.255.0(ro, no_root_squash)

but I do not have yet the board with IP address 192.168.0.0 configured and
network connected to the laptop - so could I start mountd daemon (service) ?
-
 when i do that I repeatedly get error ...

apovolot@USPITLAD104868 /cygdrive/c/cygwin/etc
$ cygrunsrv -S mountd
cygrunsrv: Error starting a service: QueryServiceStatus:  Win32 error 1062
The service has not been started.

System Event Viewer shows:
Event Type:	Error
Event Source:	Service Control Manager
Event Category:	None
Event ID:	7034
Date:		8/26/2004
Time:		5:52:38 PM
User:		N/A
Computer:	....

The System event viewr's description (in Event Properties):
The Cygwin mountd service tterminated unexpectedly. 
It has done this 1 time(s).

Application Event Viewer shows:

Type: Error
Date:		8/26/2004
Time:		5:52:37 PM
Source:     mountd
Category:   None
Event:      0
User:       SYSTEM
Computer:   ....

The Application event viewr's description (in Event Properties):
The description for Event ID (0) in Source (mountd) cannot be found.
The local computer may not have necessary registry information or
message DLL file to display message from a remote computer.
...
Thew following information is part of the event:
mountd: PID 288: unable to register (mountd,1,udp).

---------- Forwarded Message ----------
From: "david" <arnette at freemail dot hu> 
To: <cygwin at cygwin dot com> 
Date: Sat, 21 Aug 2004 23:32:17 +0200 
Subject: RE: sshD fails to start as a service 
....
On Wed, 9 Jun 2004, cygwin wrote:

Dear Guys!

I have the same problem, I have XP Pro. The portmap starts fine, but the
nfsd and the mountd give this error:

cygrunsrv: Error starting a service: QueryServiceStatus:  Win32 error 1062:
The service has not been started.

I run these commands but the problem still exists.
chmod 755 /usr/sbin/* /usr/bin/*
eval "`mount -m | sed 's/ -u / -s /'`"

I don't know what happened with the XP or the Cygwin, I used the nfsd and
mountd without problems earlier.

Thanks a lot!

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/